=== debian/control ===
Source: cutefish-core
Section: devel
Priority: optional
Maintainer: CutefishOS <cutefishos@foxmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               pkg-config,
               xserver-xorg-input-libinput-dev,
               libxcb1-dev,
               libxcb-randr0-dev,
               libxcb-keysyms1-dev,
               libxcursor-dev,
               libxcb-xfixes0-dev,
               libxcb-damage0-dev,
               libxcb-composite0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-image0-dev,
               libxtst-dev,
               libsm-dev,
               libpulse-dev,
               libpolkit-qt5-1-dev,
               libpolkit-agent-1-dev,
               libkf5windowsystem-dev,
               libkf5globalaccel-dev,
               libqt5x11extras5-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://github.com/cutefishos/terminal

Package: cutefish-core
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtqml,
         qml-module-qtquick-window2,
         qml-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS System Components
